import React from 'react';

const FlagObserver = {
    listener: null,
    sub(fn) {
        this.listener = fn;
    },
    pub(flag) {
        this.listener({
            flag
        });
    }
};

export default function flagComponent(WrappedComponent) {
    return class Hoc extends React.Component {
        constructor(props) {
            super(props);
            this.state = {};
        }
        UNSAFE_componentWillMount() {
            window.FlagObserver = FlagObserver;
            window.FlagObserver.sub(this.setState.bind(this));
        }
        render() {
            let {flag} = this.state;
            return (
                <WrappedComponent {... {...this.props, flag}} />
                );
        }
    };
}
