import React, {PureComponent} from 'react';

import mapFlagToCom from '../../components/mapFlagToCom';
import './animate.css';
import './index.less';
import ReactCSSTransitionGroup from 'react-addons-css-transition-group';
@mapFlagToCom
export default class index extends PureComponent {
    componentDidMount() {
        console.log(this.props.flag, 'flag');
    }
    render() {
        return (
            <div className='content'>
                <ReactCSSTransitionGroup
            transitionEnter={true}
            transitionLeave={true}
            transitionEnterTimeout={6000}
            transitionLeaveTimeout={6500}
            transitionName='animated'
            >
                    <div key='amache' className='animated zoomIn' >
                        <p className='title'>欢迎使用Fast-For-React</p>
                        <p>tips：这是一个开箱即用的React脚手架、默认支持eslint配置、babel配置、antd的按需加载、权限路由等。</p>
                        <p>tips：你可以在pages中编写你的代码、在route下的router.config中定义你的路由即可</p>
                    </div>
                </ReactCSSTransitionGroup>
            </div>

            );
    }
}
