import {asyncRoute} from '../utils/asyncRoute';
import Loading from '../components/loading';

export default () => {
    return [
        {
            path: '/home',
            component: asyncRoute(() => import('../pages/home'), {
                loading: Loading
            }),
            key: 'home',
            authority: ['admin'],
            exact: true

        },
        {
            path: '/exception/403',
            component: asyncRoute(() => import('../components/Exception/403'), {
                loading: Loading
            }),
            key: '403',
            authority: 'admin'


        }
    ];
};
